# set ddns-hostname
if exists host-name {
        ddns-hostname = lcase(option host-name);
} elsif exists fqdn.hostname {
        ddns-hostname = lcase(option fqdn.hostname);
} else {
	# "2001:20a0:4000:300::123" would produce "300-0-0-0-123" as the ddns-hostname
	ddns-hostname = binary-to-ascii(16, 16, "-", suffix(substring(option dhcp6.ia-na, 16, 16), 10));
}